=== debian/changelog ===
averell (1.2.5-1) unstable; urgency=medium

  * Initial release
  * Closes: #773793

 -- Jean Parpaillon <jean.parpaillon@free.fr>  Tue, 12 Apr 2016 11:01:13 +0200
