=== debian/control ===
Source: averell
Section: httpd
Priority: optional
Maintainer: Jean Parpaillon <jean.parpaillon@free.fr>
Build-Depends: debhelper (>= 9), xsltproc, docbook-xsl, git, erlang-dev (>= 1:17),
	       erlang-cowboy, erlang-getopt, erlang-eunit
Standards-Version: 3.9.7
Homepage: http://github.com/jeanparpaillon/averell
Vcs-Git: https://github.com/jeanparpaillon/averell
Vcs-Browser: https://github.com/jeanparpaillon/averell

Package: averell
Architecture: all
Depends: erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
	 erlang-cowboy (>=2.0.0~pre.1), erlang-getopt (>=0.8.2), ${misc:Depends}
Description: incredibly stupid web server
 averell is an incredibly simple, but fast, web server based on the
 erlang/OTP application cowboy.
 .
 It is as simple to use as starting in a directory to serve it on
 port 8000 (default). Basic options include: enabling CORS,
 changing port, redirecting directories to index.html, etc.
 .
