=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export prefix=/usr

%:
	dh $@

override_dh_auto_test:
	$(MAKE) eunit

override_dh_installman:
	$(MAKE) man
	dh_installman

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol
